cli-simple(1p)

NAME
cli-simple - Scaffold a new project from a .yml file

SYNOPSIS
 cat >my-project.yml <<EOF
---
commands:
  foo: MyProject::Role::Foo
  bar: MyProject::Role::Bar

options:
  - help|h
  - verbose|v
  - type|t=s
  - output|o=s

default_options:
  type: json

extra_options:
  - buz EOF

  cli-simple -scaffold my-project.yml

Commands:

 -scaffold <spec-file>   Scaffold role stubs from an existing modulino

DESCRIPTION
The "cli-simple" script's sole use is to scaffold a new project from a .yml file. You can also run the same command from any "CLI::Simple" based modulino script.

LICENSE AND COPYRIGHT
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See <https://dev.perl.org/licenses/> for more information.

SEE ALSO
CLI::Simple

AUTHOR
Rob Lauer - <rlauer@treasurersbriefcase.com>